Package org.apache.tapestry5.rest.jackson.internal

# Class JacksonOpenApiTypeDescriber

java.lang.Object
org.apache.tapestry5.rest.jackson.internal.JacksonOpenApiTypeDescriber

All Implemented Interfaces:
  `OpenApiTypeDescriber`

public class JacksonOpenApiTypeDescriber extends Object implements OpenApiTypeDescriber
`OpenApiTypeDescriber` implementation using Java JSONSchema Generator, by default generating JSON Schema 2019-09.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JacksonOpenApiTypeDescriber(com.github.victools.jsonschema.generator.SchemaGenerator schemaGenerator, MappedEntityManager mappedEntityManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `describe(JSONObject description, Parameter parameter)`
  Describes a REST event handler method parameter.
  `void`
  `describeReturnType(JSONObject description, Method method)`
  Describes a REST event handler method return type.
  `void`
  `describeSchema(Class<?> entity, JSONObject schemas)`
  Describes the schema of a mapped entity class

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JacksonOpenApiTypeDescriber

    public JacksonOpenApiTypeDescriber(com.github.victools.jsonschema.generator.SchemaGenerator schemaGenerator, MappedEntityManager mappedEntityManager)

- ## Method Details

  - ### describe

    public void describe(JSONObject description, Parameter parameter)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes a REST event handler method parameter.
    Specified by:
      `describe` in interface `OpenApiTypeDescriber`
    Parameters:
      `description` - `JSONObject` containing the description of an event handler parameter.
      `parameter` - the event handler method parameter.

  - ### describeReturnType

    public void describeReturnType(JSONObject description, Method method)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes a REST event handler method return type.
    Specified by:
      `describeReturnType` in interface `OpenApiTypeDescriber`
    Parameters:
      `description` - `JSONObject` containing the description of a path response.
      `method` - the event handler method itself.

  - ### describeSchema

    public void describeSchema(Class<?> entity, JSONObject schemas)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes the schema of a mapped entity class
    Specified by:
      `describeSchema` in interface `OpenApiTypeDescriber`
    Parameters:
      `entity` - an entity class.
      `schemas` - `JSONObject` where the entity description should be added.
    See Also:
      - `MappedEntityManager`